<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Ultravel
 * @since Ultravel 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'ultravel_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','ultravel' ),
	'description'       => esc_html__( 'Archive section options.', 'ultravel' ),
	'panel'             => 'ultravel_theme_options_panel',
) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'ultravel_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'ultravel' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'ultravel_is_latest_posts'
) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[hide_btn]', array(
	'default'           => $options['hide_btn'],
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[hide_btn]', array(
	'label'             => esc_html__( 'Hide Button', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'on_off_label' 		=> ultravel_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'on_off_label' 		=> ultravel_hide_options(),
) ) );

// Archive date setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'on_off_label' 		=> ultravel_hide_options(),
) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[hide_content]', array(
	'default'           => $options['hide_content'],
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[hide_content]', array(
	'label'             => esc_html__( 'Hide Conetnt', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'on_off_label' 		=> ultravel_hide_options(),
) ) );

$wp_customize->add_setting( 'ultravel_theme_options[hide_image]', array(
	'default'           => $options['hide_image'],
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[hide_image]', array(
	'label'             => esc_html__( 'Hide Featured Image', 'ultravel' ),
	'section'           => 'ultravel_archive_section',
	'on_off_label' 		=> ultravel_hide_options(),
) ) );
