<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Ultravel
 * @since Ultravel 1.0.0
 */

$wp_customize->add_section( 'ultravel_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','ultravel' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'ultravel' ),
	'panel'             => 'ultravel_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'ultravel' ),
	'section'          	=> 'ultravel_breadcrumb',
	'on_off_label' 		=> ultravel_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'ultravel_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'ultravel' ),
	'active_callback' 	=> 'ultravel_is_breadcrumb_enable',
	'section'          	=> 'ultravel_breadcrumb',
) );
