<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage Ultravel
 * @since Ultravel 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultravel_menu', array(
	'title'             => esc_html__('Header Menu','ultravel'),
	'description'       => esc_html__( 'Header Menu options.', 'ultravel' ),
	'panel'             => 'nav_menus',
) );

// search enable setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[social_nav_enable]', array(
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
	'default'           => $options['social_nav_enable'],
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[social_nav_enable]', array(
	'label'             => esc_html__( 'Enable Social Links', 'ultravel' ),
	'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show social menu.', 'ultravel' ), esc_html__( 'Click Here', 'ultravel' ), esc_html__( 'to create menu', 'ultravel' ) ),
	'section'           => 'ultravel_menu',
	'on_off_label' 		=> ultravel_switch_options(),
) ) );


// search enable setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[search_nav_enable]', array(
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
	'default'           => $options['search_nav_enable'],
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[search_nav_enable]', array(
	'label'             => esc_html__( 'Enable Search Icon', 'ultravel' ),
	'section'           => 'ultravel_menu',
	'on_off_label' 		=> ultravel_switch_options(),
) ) );


$wp_customize->add_setting( 'ultravel_theme_options[cart_nav_enable]', array(
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
	'default'           => $options['cart_nav_enable'],
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[cart_nav_enable]', array(
	'label'             => esc_html__( 'Enable Cart Icon', 'ultravel' ),
	'section'           => 'ultravel_menu',
	'on_off_label' 		=> ultravel_switch_options(),
) ) );