<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Ultravel
 * @since Ultravel 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultravel_pagination', array(
	'title'               => esc_html__('Pagination','ultravel'),
	'description'         => esc_html__( 'Pagination section options.', 'ultravel' ),
	'panel'               => 'ultravel_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'ultravel_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Ultravel_Switch_Control( $wp_customize, 'ultravel_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'ultravel' ),
	'section'             => 'ultravel_pagination',
	'on_off_label' 		=> ultravel_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'ultravel_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'ultravel_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'ultravel_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'ultravel' ),
	'section'             => 'ultravel_pagination',
	'type'                => 'select',
	'choices'			  => ultravel_pagination_options(),
	'active_callback'	  => 'ultravel_is_pagination_enable',
) );
